2019-06-19 18:49 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002163Perihelion[WHDLoad Installs Games] slavepublic2009-10-01 22:13
ReporterMailman 
Assigned ToWeplProject InfoPerihelion (Psygnosis)
http://www.whdload.de/games/Perihelion.html
 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Summary0002163: Perihelion - Access Fault in Level 3
DescriptionWhen I am in level 3 (it is Soultomb Mines) and I am supposed to blast the wall to enter into the radioactive area, the game quits with Access Fault. To reproduce the bug you have:
- drill the hole using the driller
- put the explosives into the hall
- step back and try closing the door.

When it is about to be closed the game quits.
TagsNo tags attached.
MachineA1200
CPU68040 + PPC
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0001453

Wepl (developer)

please provide a savegame to reproduce

note ~0001463

Mailman (reporter)

Save attached. The name of the save is TOXIC.

The Fifth party member has a driller. You need to go into the inventory, select it and then from the dungeon screen use it. Then go to the inventory again. The first party member has explosives. Select them and use them from dungeon screen. Go back three steps and close the doors.

I noticed that you don't even need to close the doors. I think this is a bug in a replayer code. The code of the game controls the music and this is why it happens.

note ~0001465

Wepl (developer)

please try attached slave, it should fix the issue...

note ~0001485

Mailman (reporter)

Yes, it fixed the problem. Game can be continued. Thank you. Issue can be closed.

note ~0001486

Wepl (developer)

new install package has been released
+Notes

-Issue History
Date Modified Username Field Change
2009-09-26 19:24 Mailman New Issue
2009-09-26 19:24 Mailman Machine => A1200
2009-09-26 19:24 Mailman CPU => 68040 + PPC
2009-09-26 19:24 Mailman CPUSpeed => 25
2009-09-26 19:24 Mailman ChipSet => AGA
2009-09-26 19:24 Mailman GFXCard => None
2009-09-26 19:24 Mailman ChipMem => 2 MB
2009-09-26 19:24 Mailman FastMem => 32 MB
2009-09-26 19:24 Mailman Workbench => OS 3.1
2009-09-26 19:24 Mailman KickROM => 40 - Kick 3.1
2009-09-26 19:24 Mailman KickSoft => None
2009-09-26 19:24 Mailman WHDLoad => 16.9
2009-09-27 20:07 Wepl Status new => assigned
2009-09-27 20:07 Wepl Assigned To => Wepl
2009-09-27 20:08 Wepl Note Added: 0001453
2009-09-28 18:57 Mailman File Added: save.lha
2009-09-28 19:00 Mailman Note Added: 0001463
2009-09-28 23:49 Wepl File Added: Perihelion.Slave
2009-09-28 23:51 Wepl Note Added: 0001465
2009-10-01 19:40 Mailman Note Added: 0001485
2009-10-01 22:13 Wepl Note Added: 0001486
2009-10-01 22:13 Wepl Status assigned => closed
2009-10-01 22:13 Wepl Resolution open => fixed
+Issue History